Channels
Read how a channel is shared with other projects
Lists only projects the caller can read; unreadable projects are neither named nor counted.
GET
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthchannelId*stringLength
1 <= lengthResponse for status 200
application/json- response
channel*usages*array<>curl -X GET 'https://postdot.example/api/projects/string/channels/string/sharing'Example Response
{
"channel": {
"id": "string",
"revision": 0,
"shared": true,
"attachmentState": "active",
"attachmentRevision": 0,
"canManage": true,
"canShare": true,
"canWithdraw": true,
"management": {
"kind": "workspace"
}
},
"usages": [
{
"projectId": "string",
"name": "string",
"state": "active",
"revision": 0,
"canAcceptManagement": true
}
]
}